.SUBCKT 6V6 A S G K
+ PARAMS: Vn=4.683375986 Exd=1.498943398 Kd=5.985681E-04 Mua=135.8092472 Mug=0.792313597 Mus=7.857142857 Kp=7.41E-04
+ Ks=0.7455 Ex=1.429346869
+ Cgk=9.0P Cgs=8.0P Cga=0.7P Cak=7.5P
Eat at 0 VALUE={limit(0.636*ATAN(V(A,K)/{Vn}),0,1e6)} ; arctangent shaping
Eme me 0 VALUE={PWR(LIMIT(V(A,K),0,2000),{Exd})*{Kd}} ; the diode line
Egs gs1 0 VALUE={LIMIT(V(A,K)/{Mua}+V(S,K)/{Mus}+V(G,K)/{Mug},0,1E6)} ;the basic voltage
Egs2 gs2 0 VALUE={PWRS(V(gs1),{Ex})*{Kp}} ;raise to the power and mult by perveance
Ecath cc 0 VALUE={LIMIT(V(gs2)*V(at),0,V(me))} ;shaped per Eat and the diode line
*
* Calculate anode current
*
Ga A K VALUE={V(cc)}
*
* Calculate screen current
*
Escrn sc 0 VALUE={{Ks}*V(gs2)*(1.1-V(at))}; reverse arctangent shaping
Gs S K VALUE={V(sc)}
*
* Grid current

R1 G 5 1K ; FOR GRID CURRENT
D3 5 K Dx ; FOR GRID CURRENT
.MODEL Dx D(IS=1N RS=1 CJO=10PF TT=1N)
* Capacitances
C1 G K {Cgk}
C2 G S {Cgs}
C3 G A {Cga}
C4 A K {Cak}
.ENDS 6V6